<div class="container">
    <div 
        class="avatar-wrapper" 
        [ngClass]="{
                        'ready' : ready, 
                        'not-ready' : !ready,
                        'loser': result=='loser',
                        'winner': result=='winner'
                    }">    
        <img *ngIf="!showChoice" [src]="avatarImage">
        <img *ngIf="showChoice" [src]="choiceImage" class="choice-image">
    </div>
    <span>{{ name }}</span>
</div>